dcsimg
JBuilder 4 Professional with JDK 1.4?
3 posts in topic
Flat View  Flat View
TOPIC ACTIONS:
 

Posted By:   Sampsa_Lehtonen
Posted On:   Friday, September 7, 2001 06:03 AM

I was just wondering if it possible to start JBuilder with JDK 1.4? I was able to get 1.3.1 working and 1.4 worked for a while, but then crashed.

No that I need 1.4 but it seems that JBuilder can't compile code for jdk1.4.0-beta2. it just gives me a bunch of error messages:

cannot check class java.lang.Object; class file has wrong version 48.0...

There is no updates for JBuilder on Borland's site concerning jdk1.4

Re: JBuilder 4 Professional with JDK 1.4?

Posted By:   Dimitris_Anthoulakis  
Posted On:   Friday, February 8, 2002 06:15 AM

The problem seems to be on the version of the class files. There is a tool which resets the JDK class files back to 46 at http://www.StephenKelvin.de/MerlinPatch/. I haven't tested it but people report that it works with JBuilder 4 and older versions.

Re: JBuilder 4 Professional with JDK 1.4?

Posted By:   abdul_qadeer  
Posted On:   Tuesday, September 25, 2001 12:38 AM

No, the JBuilder team refuse to test on an unreleased platform as it does
hideous things to their shipping schedule. JDK 1.4 removes the classic VM
and when JBuilder issues a debug command, it switches the jdk
into -classic - this will cause the final release of JDK 1.4 to bomb so I
would expect a patch or some such after JDK 1.4 is released to fix this.
There are a lot of other features in JDK 1.4 (assertions, dynamic class
reloading, etc) which will also dramatically affect the way that JBuilder
operates, so I would expect to see most of these surfaced in JBuilder 6.

Re: JBuilder 4 Professional with JDK 1.4?

Posted By:   naeem_yazdani  
Posted On:   Saturday, September 22, 2001 02:42 PM

Have you succeeded in solving the problem? I am also facing the same problem. if you have then please also help me how to do it. thank you very much.
About | Sitemap | Contact